Get legal document acceptance
curl --request GET \
--url https://api.next.orenda.finance/v1/applications/{applicationId}/documents/legal/acceptance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.next.orenda.finance/v1/applications/{applicationId}/documents/legal/acceptance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.next.orenda.finance/v1/applications/{applicationId}/documents/legal/acceptance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"applicationId": "app-123",
"accountType": "consumer",
"acceptanceStatus": "accepted",
"currentDocumentSetVersion": "2.0.0",
"acceptance": {
"documentSetVersion": "2.0.0",
"acceptedAt": "2026-02-05T10:30:00.000Z",
"acceptedByIdentity": "user-456",
"acceptedByEmail": "applicant@example.com",
"ipAddress": "203.0.113.10",
"ipCountry": "GBR",
"userAgent": "Mozilla/5.0",
"acceptedDocuments": [
{
"id": "privacy_policy",
"name": "Privacy Policy",
"location": "/pdf/Privacy_Policy_Orenda_TPML.pdf",
"version": "1",
"hash": "sha256:e5f6a7b8c9d0",
"required": true,
"applicableTo": [
"consumer",
"business"
],
"effectiveDate": "2026-02-05"
}
]
}
}
}{
"success": false,
"code": "VALIDATION_ERROR",
"message": "isCompany is required"
}{
"success": false,
"code": "UNAUTHORIZED",
"message": "Unauthorized"
}{
"success": false,
"code": "FORBIDDEN",
"message": "Back Office access is required"
}{
"success": false,
"code": "RESOURCE_NOT_FOUND",
"message": "Application not found"
}{
"success": false,
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Onboarding
Get legal document acceptance
Back Office endpoint that returns the stored legal document acceptance for an application, the current document set version from refData, and whether the stored acceptance is current, stale, missing, or indeterminate.
GET
/
v1
/
applications
/
{applicationId}
/
documents
/
legal
/
acceptance
Get legal document acceptance
Authorizations
The user's access_token from authentication. The program and environment (sandbox/prod) are read from the token.
Path Parameters
The application id from create / get.
⌘I